### Function

# EBackend CacheKeysForeachFunc

since: 3.48

#### Declaration

    gboolean
    (* ECacheKeysForeachFunc) (
      ECacheKeys* self,
      const gchar* key,
      const gchar* value,
      guint ref_count,
      gpointer user_data
    )

#### Description [src]

A callback called for each row of the `self` table when using `e_cache_keys_foreach_sync()` function.

Available since: 3.48

#### Parameters

`self`

  Type: `ECacheKeys`

  An `ECacheKeys`.

  The data is owned by the caller of the function.

`key`

  Type: `const gchar*`

  The key.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `const gchar*`

  The value.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`ref_count`

  Type: `guint`

  The reference count for the `key`.

`user_data`

  Type: `gpointer`

  User data, as used in e_cache_keys_foreach_sync().

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` to continue, `FALSE` to stop walk through.